﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using HeuristicLab.Clients.OKB;
using HeuristicLab.Clients.OKB.Administration;
using HeuristicLab.Common.Resources;
using HeuristicLab.MainForm;
using System.Collections.Generic;
using System.Drawing;
using System.Windows.Forms;

namespace HeuristicLab.OptimizationExpertSystem.Menu {
  internal class AdministerOKBMenuItem : MenuItemBase {
    public override Image Image { get { return VSImageLibrary.Database; } }

    public override string Name {
      get { return "Admin"; }
    }

    public override IEnumerable<string> Structure {
      get { return new[] { "Config", "OKB" }; }
    }

    public override int Position {
      get { return 40; }
    }

    public override string ToolTipText { get { return "Administrate the OKB."; } }

    public override void Execute() {
      if (OKBRoles.CheckAdminUserPermissions()) {
        MainFormManager.MainForm.ShowContent(AdministrationClient.Instance);
      } else {
        MessageBox.Show("You don't have the permissions for administrating the OKB.", "Security check failed", MessageBoxButtons.OK, MessageBoxIcon.Warning);
      }
    }
  }
}
